Scriptname _Anton_WolverineClaws_Dummy extends ObjectReference  

Spell Property _Anton_AnimatedObjectSpell Auto

Perk Property _Anton_FistsOfSteel Auto
Perk Property _Anton_DeftMovement Auto
Perk Property _Anton_MQ101ReduceDamage Auto

Float akHealth
Int SoundREF

Sound Property _Anton_SayAI_fem Auto
Sound Property _Anton_SayAI_man Auto

Auto State NothingEquipped
	
	Event OnEquipped( Actor akActor )
		GoToState("AnimatedObjectEquipped")
		
		akActor.AddPerk(_Anton_FistsOfSteel)
		akActor.AddPerk(_Anton_DeftMovement)
		akActor.AddPerk(_Anton_MQ101ReduceDamage)
		
		;  
		akActor.AddSpell(_Anton_AnimatedObjectSpell, False)
		_Anton_AnimatedObjectSpell.Cast( akActor, None )
		
		;    
		akHealth = akActor.GetActorValue("Health")
		akHealth = akHealth / 1.25
		If akHealth < 190.0
			akHealth = 190.0
		EndIf
		akActor.DamageActorValue("Health", akHealth)
		
		;  ""
		ActorBase PlayerBase = akActor.GetBaseObject() as ActorBase
		if PlayerBase.GetSex() == 1
			SoundREF = _Anton_SayAI_fem.Play(akActor)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		Else
			SoundREF = _Anton_SayAI_man.Play(akActor)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		EndIf
		
		If akActor == Game.GetPlayer()
			Game.ForceThirdPerson()
		EndIf
		;   
		Debug.SendAnimationEvent(akActor, "bleedOutStart")
		Utility.Wait(5.0)
		Debug.SendAnimationEvent(akActor, "bleedOutStop")

	EndEvent

	Event OnUnequipped( Actor akActor )
	EndEvent

EndState

State AnimatedObjectEquipped
	
	Event OnEquipped( Actor akActor )
	EndEvent

	Event OnUnequipped( Actor akActor )
		akActor.DispelSpell(_Anton_AnimatedObjectSpell)
		akActor.RemoveSpell(_Anton_AnimatedObjectSpell)
		
		akActor.RemovePerk(_Anton_FistsOfSteel)
		akActor.RemovePerk(_Anton_DeftMovement)
		akActor.RemovePerk(_Anton_MQ101ReduceDamage)
	
		;    
		akHealth = akActor.GetActorValue("Health")
		akHealth = akHealth / 1.25
		If akHealth < 190.0
			akHealth = 190.0
		EndIf
		akActor.DamageActorValue("Health", akHealth)
		
		;  ""
		ActorBase PlayerBase = akActor.GetBaseObject() as ActorBase
		if PlayerBase.GetSex() == 1
			SoundREF = _Anton_SayAI_fem.Play(akActor)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		Else
			SoundREF = _Anton_SayAI_man.Play(akActor)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		EndIf
		
		If akActor == Game.GetPlayer()
			Game.ForceThirdPerson()
		EndIf
		;   
		Debug.SendAnimationEvent(akActor, "bleedOutStart")
		Utility.Wait(5.0)
		Debug.SendAnimationEvent(akActor, "bleedOutStop")
		
		GoToState("NothingEquipped")
	EndEvent

EndState
