Scriptname _Anton_WolverineClaws_MagicEffect extends activemagiceffect  

Sound Property _Anton_AnimatedObject_EquipSound Auto
Sound Property _Anton_AnimatedObject_UnequipSound Auto

Float akHealth
Int SoundREF

Sound Property _Anton_SayAI_fem Auto
Sound Property _Anton_SayAI_man Auto

GlobalVariable Property _Anton_isNormalClawsActive Auto
GlobalVariable Property _Anton_isSneakClawsActive Auto

Auto State DefaultState

	Event OnEffectStart( Actor akTarget, Actor akCaster )
		GoToState("EffectIsRuning")
		If akCaster.IsSneaking() == 1
			_Anton_isSneakClawsActive.SetValue(1)
		Else
			_Anton_isNormalClawsActive.SetValue(1)
		EndIf
		Utility.Wait(0.05)
		_Anton_AnimatedObject_EquipSound.Play(akCaster)
		
		;  ""
		ActorBase PlayerBase = akCaster.GetBaseObject() as ActorBase
		if PlayerBase.GetSex() == 1
			SoundREF = _Anton_SayAI_fem.Play(akCaster)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		Else
			SoundREF = _Anton_SayAI_man.Play(akCaster)
			Sound.SetInstanceVolume(SoundREF, 1.0)
		EndIf
		
		;    
		akHealth = akCaster.GetActorValue("Health")
		akHealth = akHealth / 10
		If akHealth < 10.0
			akHealth = 10.0
		EndIf
		akCaster.DamageActorValue("Health", akHealth)
	EndEvent

	Event OnEffectFinish( Actor akTarget, Actor akCaster )
	EndEvent

EndState


State EffectIsRuning

	Event OnEffectStart( Actor akTarget, Actor akCaster )
	EndEvent

	Event OnEffectFinish( Actor akTarget, Actor akCaster )
		_Anton_AnimatedObject_UnequipSound.Play(akCaster)
		Utility.Wait(0.5)
		If akCaster.IsSneaking() == 1
			_Anton_isNormalClawsActive.SetValue(0)
		Else
			_Anton_isSneakClawsActive.SetValue(0)
		EndIf
		GoToState("DefaultState")
	EndEvent

EndState